html, body {
  background-color: #2d3033;
  background-image:url('/img/bg.png');background-repeat:repeat;
}

html {
  overflow-x: auto;
  overflow-y: scroll;
}

body {
  /* font: normal 13px/1.5 sans-serif; */
  font-weight: 500;
  color: #ece1dd;
  padding-bottom: 40px;
}

.ten {
  border: 9px solid #33373b;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}

.idx_tags_hdr {
  text-shadow: rgba(0, 0, 0, 0.5) 0 1px 2px;
  color: #6f7378;
  background: url("/img/arrow-misc.png") no-repeat;
  margin-left: -59px;
  padding-left: 59px;
  margin-top: 15px;
  padding-top: 4px;
}
.idx_tags_lst {
  padding-left: 25px;
}

#rss {
  background:url("/img/rss.png") left center no-repeat;
  padding: 6px 0px 6px 30px;
}

#twitter {
  background:url("/img/twitter.png") left center no-repeat;
  padding: 6px 0px 6px 34px;
}

#github {
  background:url("/img/github.png") left center no-repeat;
  padding: 6px 0px 6px 34px;
}

#site {
  background-color: #282b2e;
  padding: 40px;
}

.spacer {
  margin: 40px -40px 20px;
  background: #35393c url("/img/splitter.png") repeat-x 0 100%;
  border-bottom: 1px solid #1d1f21;
  padding-top: 6px;
  content: "";
}

.article_sep {
  margin: 40px -40px 20px;
  background: #35393c url("/img/splitter.png") repeat-x 0 100%;
  border-bottom: 1px solid #1d1f21;
  padding-top: 6px;
  content: "";
}

.idx_date {
    text-align: right
}

a {
  color: #e44a25;
}

a:hover,
a:focus {
  color: #ededed;
}

a:active {
  position: relative;
  top: 1px;
}


em {
  font-style: italic;
}


/* ----- H* {{{ */
h1, h2, h3, h4, h5, h6 {
  font-weight: 500;
}
h1 {
  text-align: center;
  text-shadow: rgba(0, 0, 0, 0.5) 0 1px 4px;
  color: #e44a25;
  position: relative;
  margin: 0 auto;
  overflow: hidden;
}
h1 a {
  border-bottom-style: none;
  text-decoration: none;
}
h1 a:hover {
  border-bottom-style: dotted;
  color: #e44a25;
}
#idx_title a {
  color: #0086d2;
}
#tag_title a {
  color: #e44a25;
}

h2 {
  margin: 40px -40px 20px;
  text-align: center;
  background: #35393c url("/img/splitter.png") repeat-x 0 100%;
  border-bottom: 1px solid #1d1f21;
  padding-top: 6px;
}

h3 {
  text-shadow: rgba(0, 0, 0, 0.5) 0 1px 2px;
  color: #e44a25;
  background: url("/img/arrow-orange.png") no-repeat;
  margin-left: -59px;
  padding-left: 59px;
  margin-top: 16px;
  line-height: 1.0;
}
h3:after {
  content: "";
  display: block;
  height: 0;
  overflow: hidden;
  clear: both;
}
/* }}} */

/* ----- Content {{{ */
p, ul, ol, dl, table {
  margin-top: 20px;
}

ol, ul {
  margin-left: 40px;
}

ol li {
  list-style: decimal;
}

ul li {
  list-style: square;
}

li.spaced {
  margin-bottom: 20px;
}

strong {
  font-weight: normal;
  color: #fff;
  text-shadow: rgba(255, 255, 255, 0.85) 0 0 3px;
}

pre {
  margin-left: -20px;
  margin-right: -20px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  background-color: #073642;
  font-size: 100%;
}
code {
  background-color: #073642;
  border: 0;
  font-size: 100%;
}

table {
  margin-left: -20px;
  /*width: 678px; */
  background-color: #1d1f21;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}

th, td {
  padding: 5px 10px;
}

th {
  background-color: #33373b;
  padding-bottom: 10px;
}

tr:first-child td { padding-top: 10px; }
th:first-child, td:first-child { padding-left: 20px; }
th { padding-top: 10px; }
tr:last-child td { padding-bottom: 10px; }
th:last-child, td:last-child { padding-right: 20px; }

th:first-child {
  -moz-border-radius-topleft: 5px;
  -webkit-border-top-left-radius: 5px;
}

th:last-child {
  -moz-border-radius-topright: 5px;
  -webkit-border-top-right-radius: 5px;
}

blockquote {
    border-top-style: dashed;
    border-top-width: 1px;
    border-top-color: #777;
    border-bottom-style: dashed;
    border-bottom-width: 1px;
    border-bottom-color: #777;
    border-left-width: 0px;
    border-right-width: 0px;
    margin-left: 10px;
    color: #AAA;
}

pre {
    margin-top: 0 !important;
}
/* }}} */

/* ----- Footer … {{{ */
#footer {
  background-color: #282b2e;
  border: 9px solid #33373b;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}
#footer > ul > li {
  margin: 0px;
  list-style: none;
}
#footer a.title {
  color: #0086d2;
}
#tags {
    margin-top: 0px;
}
#tags > li {
  list-style: square;
}

#footer ul {
  margin-left: 0px;
  margin-bottom: 0px;
}
#footer > .spacer {
  margin: 10px 0px 10px 0px;
  background: #35393c url("/img/splitter.png") repeat-x 0 100%;
  border-bottom: 1px solid #1d1f21;
  padding-top: 6px;
  content: "";
}

/* }}} */

/* ----- Code {{{ */
.codehilite .hll { background-color: #ffffcc }
.codehilite  { background: #073642; color: #93a1a1}
.codehilite .c { color: #586e75; font-style: italic } /* Comment */
.codehilite .g { color: #d33682 } /* Generic */
.codehilite .k { color: #859900 } /* Keyword */
.codehilite .l { color: #2aa198 } /* Literal */
.codehilite .n { color: #839496} /* Name */
.codehilite .cm { color: #586e75; font-style: italic } /* Comment.Multiline */
.codehilite .cp { color: #cb4b16; } /* Preproc */
.codehilite .c1 { color: #586e75; font-style: italic } /* Comment.Single */
.codehilite .cs { color: #586e75; font-style: italic } /* Comment.Special */
.codehilite .gd { color: #d33682 } /* Generic.Deleted */
.codehilite .ge { color: #d33682 } /* Generic.Emph */
.codehilite .gr { color: #d33682 } /* Generic.Error */
.codehilite .gh { color: #d33682 } /* Generic.Heading */
.codehilite .gi { color: #d33682 } /* Generic.Inserted */
.codehilite .go { color: #d33682 } /* Generic.Output */
.codehilite .gp { color: #d33682 } /* Generic.Prompt */
.codehilite .gs { color: #d33682 } /* Generic.Strong */
.codehilite .gu { color: #d33682 } /* Generic.Subheading */
.codehilite .gt { color: #d33682 } /* Generic.Traceback */
.codehilite .kc { color: #859900; font-weight: bold } /* Keyword.Constant */
.codehilite .kd { color: #859900 } /* Keyword.Declaration */
.codehilite .kn { color: #dc322f; font-weight: bold } /* Keyword.Namespace */
.codehilite .kp { color: #859900 } /* Keyword.Pseudo */
.codehilite .kr { color: #859900 } /* Keyword.Reserved */
.codehilite .kt { color: #859900; font-weight: bold } /* Keyword.Type */
.codehilite .ld { color: #2aa198 } /* Literal.Date */
.codehilite .m { color: #2aa198; font-weight: bold } /* Literal.Number */
.codehilite .s { color: #2aa198 } /* Literal.String */
.codehilite .na { color: #268bd2 } /* Name.Attribute */
.codehilite .nb { color: #cb4b16 } /* Name.Builtin */
.codehilite .nc { color: #cb4b16 } /* Name.Class */
.codehilite .no { color: #268bd2 } /* Name.Constant */
.codehilite .nd { color: #268bd2 } /* Name.Decorator */
.codehilite .ni { color: #268bd2 } /* Name.Entity */
.codehilite .ne { color: #268bd2 } /* Name.Exception */
.codehilite .nf { color: #268bd2 } /* Name.Function */
.codehilite .nl { color: #268bd2 } /* Name.Label */
.codehilite .nn { color: #268bd2 } /* Name.Namespace */
.codehilite .nx { color: #268bd2 } /* Name.Other */
.codehilite .py { color: #268bd2 } /* Name.Property */
.codehilite .nt { color: #268bd2; font-weight: bold } /* Name.Tag */
.codehilite .nv { color: #268bd2 } /* Name.Variable */
.codehilite .ow { color: #859900 } /* Operator.Word */
.codehilite .w { color: #586e75 } /* Text.Whitespace */
.codehilite .mf { color: #2aa198; font-weight: bold } /* Literal.Number.Float */
.codehilite .mh { color: #2aa198; font-weight: bold } /* Literal.Number.Hex */
.codehilite .mi { color: #2aa198; font-weight: bold } /* Literal.Number.Integer */
.codehilite .mo { color: #2aa198; font-weight: bold } /* Literal.Number.Oct */
.codehilite .sb { color: #2aa198 } /* Literal.String.Backtick */
.codehilite .sc { color: #2aa198 } /* Literal.String.Char */
.codehilite .sd { color: #2aa198 } /* Literal.String.Doc */
.codehilite .s2 { color: #2aa198 } /* Literal.String.Double */
.codehilite .se { color: #2aa198 } /* Literal.String.Escape */
.codehilite .sh { color: #2aa198 } /* Literal.String.Heredoc */
.codehilite .si { color: #2aa198 } /* Literal.String.Interpol */
.codehilite .sx { color: #2aa198 } /* Literal.String.Other */
.codehilite .sr { color: #2aa198 } /* Literal.String.Regex */
.codehilite .s1 { color: #2aa198 } /* Literal.String.Single */
.codehilite .ss { color: #2aa198 } /* Literal.String.Symbol */
.codehilite .bp { color: #cb4b16 } /* Name.Builtin.Pseudo */
.codehilite .vc { color: #268bd2 } /* Name.Variable.Class */
.codehilite .vg { color: #268bd2 } /* Name.Variable.Global */
.codehilite .vi { color: #268bd2 } /* Name.Variable.Instance */
.codehilite .il { color: #2aa198; font-weight: bold } /* Literal.Number.Integer.Long */
table.codehilitetable {
    margin-bottom: 0;
}
.codehilitetable .linenos {color: #93a1a1}
.codehilitetable tr:first-child td { padding-top: 0px; margin-top: 0px; border-bottom: 0px; }
.codehilitetable th:first-child, td:first-child { padding-left: 20px; }
.codehilitetable tr:last-child td { padding-bottom: 0px; }
.codehilitetable pre { margin-top: 0px; margin-bottom: 0px; background-color: #002b36; }
.linenodiv pre { background-color: #073642; }

code {
  color: #bbb;
}
/* }}} */
a.external-link {
  background: url("/img/url-external.png") no-repeat 100% 75%;
  padding-right:12px;
}
/*vim:foldm:marker */
